<?php $__env->startSection('content'); ?>
   
<!DOCTYPE html>
<html lang=”en”>
<header>
    <meta charset=”UTF-8”>
    <meta name=”viewport” content=”width=device-width, initial-scale=1.0”>
    <meta http-equiv=”X-UA-Compatible” content=”ie=edge”>
    <title>Delay subscription date</title>
    
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link  rel="stylesheet"  href="https://unpkg.com/@shopify/polaris@5.12.0/dist/styles.css"/>

    <style>
        .pageHeading {
            margin: 2%;
        }
        .containerData {
            margin: 2%;
            padding: 2%;
        }
        .container {
            background: #fff;
            /* padding: 4%; */
            margin: 2%;
        }
        .rowNew {
            padding: 1% 0 1% 1%;
            width:50%;
        }
        .emailValidationError {
            display: none;
        }
        .commonErrorMessage {
            display: none;
        }
        .successMessage {
            display: none;
            color: #138213;
        }
        .overlay {
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            position: fixed;
            background: #222;
            opacity: 0.2;
            z-index: 999;
            display:none;
        }
        
        .overlay__inner {
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            position: absolute;
        }
        
        .overlay__content {
            left: 50%;
            position: absolute;
            top: 50%;
            transform: translate(-50%, -50%);
        }
        
        .spinner {
            width: 75px;
            height: 75px;
            display: inline-block;
            border-width: 2px;
            border-color: rgba(255, 255, 255, 0.05);
            border-top-color: #fff;
            animation: spin 1s infinite linear;
            border-radius: 100%;
            border-style: solid;
        }
    </style>
</header>

<body>
<div class="pageHeading">
    <div>
        <h4 class="Polaris-DisplayText Polaris-DisplayText--sizeSmall"><b>Merge Accounts</b></h4>
    </div>
</div>
<div class="overlay">
    <div class="overlay__inner">
        <div class="overlay__content"><span class="spinner"></span></div>
    </div>
</div>
<div class="container">
    <div class="containerData">

        <?php //echo '<pre>'; print_r($accountEmails); die;?>
        <?php if (empty($errorMessage) && !empty($accountEmails['primaryEmail'])) { ?>
        <div class="rowNew">
            <h1 class="Polaris-Heading">Shopify + Recharge Primary account email:</h1>
        </div>

        <div class="rowNew">
            <p><?php echo $accountEmails['primaryEmail']; ?></p>
        </div>

        <div class="commonSection"> </div>
        <?php if (!empty($accountEmails['additionalEmails'])) { ?>

        <div class="additionalEmailSection">
            <div class="rowNew">
                <h1 class="Polaris-Heading">Additional Shopify Emails merged to Primary account:</h1>
            </div>

            <div class="copiedEmails">
            <?php foreach ($accountEmails['additionalEmails'] as $additionalKey => $additionalValue) { ?>
            
                <div class="rowNew">
                    <p><?php echo $additionalValue; ?></p>
                </div>
            <?php } ?>
            </div>

            <div class="Polaris-Stack Polaris-Stack--vertical rowNew">
            <div class="Polaris-Stack__Item">
                <div>
                    <label class="Polaris-Choice" for="disabled"><span class="Polaris-Choice__Control">
                    <span class="Polaris-RadioButton">
                    <input id="disabled" name="accounts" type="radio" class="Polaris-RadioButton__Input" aria-describedby="disabledHelpText" value="" checked="checked">
                    <span class="Polaris-RadioButton__Backdrop"></span></span></span><span class="Polaris-Choice__Label">Shopify account and Recharge account are both linked to the Recharge account for <?php echo $accountEmails['primaryEmail']; ?></span>
                    </label>
                </div>
            </div>
            </div>
        </div>

        <?php } else { ?>

        <div class="primaryEmailSection">
            <div class="Polaris-Stack Polaris-Stack--vertical rowNew">
                <div class="Polaris-Stack__Item">
                    <div>
                        <label class="Polaris-Choice" for="disabled"><span class="Polaris-Choice__Control">
                        <span class="Polaris-RadioButton">
                        <input id="disabled" name="accounts" type="radio" class="Polaris-RadioButton__Input" aria-describedby="disabledHelpText" value="" checked="checked">
                        <span class="Polaris-RadioButton__Backdrop"></span></span></span><span class="Polaris-Choice__Label">This account has a recharge subscription tied to it.</span>
                        </label>
                    </div>
                </div>
            </div>
        </div>

        <?php } ?>

        <div class="rowNew">
            <div class="">
                <div class="Polaris-Labelled__LabelWrapper">
                <div class="Polaris-Label"><label id="PolarisTextField2Label" for="PolarisTextField2" class="Polaris-Label__Text">Add an additional email address to this account</label></div>
                </div>
                <div class="Polaris-Connected">
                <div class="Polaris-Connected__Item Polaris-Connected__Item--primary">
                    <div class="Polaris-TextField Polaris-TextField--hasValue"><input id="new_email_address" class="Polaris-TextField__Input" aria-labelledby="PolarisTextField2Label" aria-invalid="false">
                    <div class="Polaris-TextField__Backdrop"></div>
                </div>

                <div class="emailValidationError">
                    <div class="Polaris-Labelled__Error">
                        <div id="PolarisTextField12Error" class="Polaris-InlineError">
                            <div class="Polaris-InlineError__Icon"><span class="Polaris-Icon"><svg viewBox="0 0 20 20" class="Polaris-Icon__Svg" focusable="false" aria-hidden="true">
                                <path d="M10 18a8 8 0 1 1 0-16 8 8 0 0 1 0 16zM9 9a1 1 0 0 0 2 0V7a1 1 0 1 0-2 0v2zm0 4a1 1 0 1 0 2 0 1 1 0 0 0-2 0z"></path>
                                </svg></span></div><div class="emailErrorMessage">The field can not be empty</div>
                        </div>
                    </div>
                </div>

                </div>
                </div>
            </div>
        </div>

        <div class="rowNew">
          <div style="--top-bar-background:#00848e; --top-bar-background-lighter:#1d9ba4; --top-bar-color:#f9fafb; --p-frame-offset:0px;">
              <button class="Polaris-Button Polaris-Button--primary" id="submit-new-email" type="button">
                  <span class="Polaris-Button__Content">
                      <span class="Polaris-Button__Text">Add Additional Email Account</span>
                  </span>
              </button>
              <div id="PolarisPortalsContainer"></div>
          </div>
        </div>
        <?php } ?>

        <?php if (!empty($accountEmails['errorMessage'])) { ?>
        <div>
            <div class="">
                <div class="Polaris-Labelled__Error">
                <div id="PolarisTextField12Error" class="Polaris-InlineError">
                    <div class="Polaris-InlineError__Icon"><span class="Polaris-Icon"><svg viewBox="0 0 20 20" class="Polaris-Icon__Svg" focusable="false" aria-hidden="true">
                        <path d="M10 18a8 8 0 1 1 0-16 8 8 0 0 1 0 16zM9 9a1 1 0 0 0 2 0V7a1 1 0 1 0-2 0v2zm0 4a1 1 0 1 0 2 0 1 1 0 0 0-2 0z"></path>
                        </svg></span></div><?php echo $accountEmails['errorMessage']; ?>
                </div>
                </div>
            </div>
        </div>
        <?php } ?>
        

        <div class="commonErrorMessage">
            <div class="Polaris-Labelled__Error">
            <div id="PolarisTextField12Error" class="Polaris-InlineError">
                <div class="Polaris-InlineError__Icon"><span class="Polaris-Icon"><svg viewBox="0 0 20 20" class="Polaris-Icon__Svg" focusable="false" aria-hidden="true">
                    <path d="M10 18a8 8 0 1 1 0-16 8 8 0 0 1 0 16zM9 9a1 1 0 0 0 2 0V7a1 1 0 1 0-2 0v2zm0 4a1 1 0 1 0 2 0 1 1 0 0 0-2 0z"></path>
                    </svg></span></div><div class="ErrorReason"></div>
            </div>
            </div>
        </div>

        <div class="successMessage"></div>



    </div>
</div>
</body>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    ##parent-placeholder-16728d18790deb58b3b8c1df74f06e536b532695##

    <script type="text/javascript">
        var AppBridge = window['app-bridge'];
        var actions = AppBridge.actions;
        var TitleBar = actions.TitleBar;
        var Button = actions.Button;
        var Redirect = actions.Redirect;
        var titleBarOptions = {
            title: 'Welcome',
        };
        var myTitleBar = TitleBar.create(app, titleBarOptions);
    </script>

<script type="text/javascript" src="https://code.jquery.com/jquery-1.11.3.min.js"></script>
<script>

 //$('.overlay').show();
 $('.emailValidationError').hide();
 $('#submit-new-email').on('click', function(e) {

    $('.commonErrorMessage').hide();
    $('.successMessage').hide();
    var newEmailAddress = $('#new_email_address').val();
    $('.emailErrorMessage').text('');
    newEmailAddress = newEmailAddress.replace(/ /g,'');
    if (!newEmailAddress) {
        $('.emailErrorMessage').text('The field can not be empty');
        $('.emailValidationError').show();
        return false;
    }
    var emailValidationStatus = validateEmail(newEmailAddress);
    if (!emailValidationStatus) {

        $('.emailErrorMessage').text('Please enter a valid email address');
        $('.emailValidationError').show();
        return false;
    } 
    var customerId = "<?php echo $accountEmails['customerId']; ?>";
    var dataObj = {
        "email": newEmailAddress,
        "customerId": customerId
    }
    $('.emailValidationError').hide();
    $('.overlay').show();
    $.ajax({
        method: 'POST',
        type: 'POST', // For jQuery < 1.9
        url: 'https://nurish.p80w.com/staging/port80-customer-account-merge/public/addAdditionalEmailWithPrimaryAccount',
        dataType: 'JSON',
        data: {data: dataObj},
        success: function(response){

            $('.overlay').hide();
            if (response.status == 200) {

                addAdditionalEmail(response.body);
            } else {

                $('.errorReason').text(response.body.error);
                $('.commonErrorMessage').show();
            }
            
        }
    });
    // console.log(newEmailAddress);
 });

 $('#new_email_address').keypress(function(){

    $('.emailValidationError').hide();
    $('.commonErrorMessage').hide();
    $('.successMessage').hide();
 });

 function validateEmail(email) {
    const re = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
    return re.test(String(email).toLowerCase());
}

function addAdditionalEmail(responseBody) {

    var htmlToAppend = '';
    var additionalClassStatus = 0;
    $('.primaryEmailSection').hide();
    var additionalEmail = responseBody.additionalEmail;
    var additionalClassHtmlContent = $('.additionalEmailSection').html();
    if (typeof additionalClassHtmlContent === 'undefined') {

        htmlToAppend = '<div class="additionalEmailSection">';
        htmlToAppend += '<div class="rowNew">';
        htmlToAppend += '<h1 class="Polaris-Heading">Additional Shopify Emails merged to Primary account:</h1>';
        htmlToAppend += '</div>';
        htmlToAppend += '<div class="copiedEmails">';
        htmlToAppend += '<div class="rowNew">';
        htmlToAppend += '<p>'+additionalEmail+'</p>';
        htmlToAppend += '</div>';
        htmlToAppend += '</div>';
        htmlToAppend += '<div class="Polaris-Stack Polaris-Stack--vertical rowNew">';
        htmlToAppend += '<div class="Polaris-Stack__Item">';
        htmlToAppend += '<div>';
        htmlToAppend += '<label class="Polaris-Choice" for="disabled"><span class="Polaris-Choice__Control">';
        htmlToAppend += '<span class="Polaris-RadioButton">';
        htmlToAppend += '<input id="disabled" name="accounts" type="radio" class="Polaris-RadioButton__Input" aria-describedby="disabledHelpText" value="" checked="checked">';
        htmlToAppend += '<span class="Polaris-RadioButton__Backdrop"></span></span></span><span class="Polaris-Choice__Label">Shopify account and Recharge account are both linked to the Recharge account for "<?php echo $accountEmails['primaryEmail']; ?>"</span>';
        htmlToAppend += '</label>';
        htmlToAppend += '</div>';
        htmlToAppend += '</div>';
        htmlToAppend += '</div>';
        htmlToAppend += '</div>';
        $('.commonSection').html(htmlToAppend);
    } else {

        htmlToAppend = '<div class="rowNew">';
        htmlToAppend += '<p>'+additionalEmail+'</p>';
        htmlToAppend += '</div>';
        $('.copiedEmails').append(htmlToAppend);
    }
    $('.successMessage').html(responseBody.message);
    $('.successMessage').show();
    setTimeout(function(){ 
        $('.successMessage').hide(); 
    }, 5000);
}
</script>
<?php $__env->stopSection(); ?>

</html>

<?php echo $__env->make('shopify-app::layouts.default', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/nurishp80w/public_html/staging/port80-customer-account-merge/resources/views/customer.blade.php ENDPATH**/ ?>